> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# カタログの再インデックス処理を開始します

> インデックス作成が過去に開始されていて再インデックス処理が行われていない場合、抽出検索は以前にインデックス化されたデータに基づいて行われます。
インデックス作成が一度も開始されていない場合、抽出検索は実行されません。



## OpenAPI

````yaml /ja/openapi.json post /api/publicapi/v1/catalogs/{catalogId}/reindex
openapi: 3.0.4
info:
  description: '環境: 本番環境<br>製品バージョン: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: 本番環境（米国リージョン）
    url: https://vantage-us.abbyy.com
  - description: 本番環境（ヨーロッパリージョン）
    url: https://vantage-eu.abbyy.com
  - description: 本番環境（オーストラリアリージョン）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}/reindex:
    post:
      tags:
        - Catalogs
      summary: カタログの再インデックス処理を開始します
      description: |-
        インデックス作成が過去に開始されていて再インデックス処理が行われていない場合、抽出検索は以前にインデックス化されたデータに基づいて行われます。
        インデックス作成が一度も開始されていない場合、抽出検索は実行されません。
      operationId: StartCatalogReindex
      parameters:
        - description: カタログ識別子。すべてのカタログの一覧で確認できます。
          in: path
          name: catalogId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
          description: OK
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: 見つかりませんでした
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult:
      additionalProperties: false
      properties:
        completed:
          description: 処理が完了した時刻
          nullable: true
          type: string
        created:
          description: 操作の作成時刻
          format: date-time
          type: string
        currentState:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState
        id:
          description: 操作の一意のID
          format: uuid
          type: string
        indexModelId:
          description: ドキュメントの分析に使用されるインデックス モデルの ID
          nullable: true
          type: string
        workflowProcessingId:
          description: 処理ワークフローの ID
          nullable: true
          type: string
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState:
      enum:
        - InProgress
        - Failed
        - Completed
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````